This page was not yet optimized for use on mobile devices.
BSAFE™ Java Crypto Module 6.3
Certificate details
| Certificate ID | #4697 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 30.04.2024 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. No assurance of the minimum strength of generated keys. |
| Exceptions |
|
| Description | Crypto-J software library is designed for developers to incorporate FIPS 140-2 approved cryptography into Java-based products. Crypto-J security software helps protect sensitive data as it is stored, using strong encryption techniques that ease integration with existing data models. Using the capabilities of Crypto-J software in applications helps provide a persistent level of protection for data, lessening the risk of internal, as well as external, compromise. |
| Tested configurations |
|
| Vendor | Dell Australia Pty Limited, BSAFE Product Team http://www.dell.com |
| Lab | Gossamer Security Solutions |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC2, RC4, RC5, DES, Triple-DES, TDES, 3DES, ChaCha20, ChaCha, Poly1305, HMAC, CMACAsymmetric Algorithms
RSA-OAEP, RSA-CRT, ECDH, ECDSA, ECIES, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-256, SHA-384, SHA-512, SHA256, SHA-2, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, SHAKE128, SHAKE256, MD5, RIPEMD160, scrypt, PBKDF2, PBKDFSchemes
MAC, Key agreement, Key Agreement, AEADProtocols
TLS, TLS 1.2, TLS 1.0Randomness
PRNG, DRBG, RNGBlock cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSJavaCard packages
java.util.concurrent, com.rsa.crypto, com.rsa.crypto.jcm, com.rsa.cryptoj.jcmVendor
MicrosoftSecurity level
Level 1, Level 3, Level 2Side-channel analysis
timing attacks, timing attackStandards
FIPS 140-2, FIPS PUB 140-2, FIPS 186-2, FIPS 186-4, FIPS 180-4, FIPS 198-1, FIPS 202, FIPS186, SP 800-38F, SP 800-56C, SP 800-108, SP 800-56A, SP 800-56B, SP 800-38A, SP 800-38B, SP 800-38C, SP 800-38D, SP 800-38E, SP 800-90A, SP 800-132, SP 800-133, SP 800-135, SP 800-52, NIST SP 800-57, NIST SP 800-132, SP 800-89, NIST SP 800-56B, PKCS #12, PKCS #5, PKCS #1, RFC 7627, RFC 5288, RFC 7539, RFC 2898Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4697,
"dgst": "f13f21602832553d",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC#A3218",
"DSA#A3218",
"#A3218",
"CVL#A3218",
"SHA-3#A3218",
"AES#A3218",
"DRBG#A3218",
"KAS-RSA-SSC#A3218",
"KDA#A3218",
"KTS#A3218",
"PBKDF#A3218",
"RSA#A3218",
"SHS#A3218",
"KAS-SSC#A3218",
"ECDSA#A3218",
"KBKDF#A3218"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"6.3"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 8
},
"ECDH": {
"ECDH": 1
},
"ECDSA": {
"ECDSA": 16
},
"ECIES": {
"ECIES": 4
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 5
},
"DSA": {
"DSA": 28
}
},
"RSA": {
"RSA-CRT": 1,
"RSA-OAEP": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 8
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 14
},
"ECB": {
"ECB": 7
},
"GCM": {
"GCM": 9
},
"OFB": {
"OFB": 7
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 13,
"TLS 1.0": 3,
"TLS 1.2": 6
}
}
},
"crypto_scheme": {
"AEAD": {
"AEAD": 2
},
"KA": {
"Key Agreement": 3,
"Key agreement": 6
},
"MAC": {
"MAC": 13
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 5,
"#12": 7,
"#5": 5
}
},
"fips_certlike": {
"Certlike": {
"AES-CTR 128": 1,
"HMAC SHA-1": 2,
"HMAC SHA1": 1,
"HMAC SHA256": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA1": 2,
"PAA 1": 1,
"PKCS #1": 10,
"PKCS #12": 14,
"PKCS #5": 10,
"SHA-1": 10,
"SHA-2": 4,
"SHA-224": 1,
"SHA-256": 4,
"SHA-3": 5,
"SHA-384": 3,
"SHA-512": 4,
"SHA1": 3,
"SHA2-224": 8,
"SHA2-256": 6,
"SHA2-384": 6,
"SHA2-512": 6,
"SHA256": 1,
"SHA3-224": 6,
"SHA3-256": 6,
"SHA3-384": 6,
"SHA3-512": 4,
"SHA3-512 112": 2,
"SHA3-512 128": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 10,
"Level 2": 1,
"Level 3": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
},
"PBKDF": {
"PBKDF": 2,
"PBKDF2": 11
},
"RIPEMD": {
"RIPEMD160": 2
},
"SHA": {
"SHA1": {
"SHA-1": 10,
"SHA1": 3
},
"SHA2": {
"SHA-2": 4,
"SHA-224": 1,
"SHA-256": 4,
"SHA-384": 3,
"SHA-512": 4,
"SHA256": 1
},
"SHA3": {
"SHA-3": 5,
"SHA3-224": 6,
"SHA3-256": 6,
"SHA3-384": 6,
"SHA3-512": 7
}
},
"SHAKE": {
"SHAKE128": 2,
"SHAKE256": 3
},
"scrypt": {
"scrypt": 3
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {
"com": {
"com.rsa.crypto": 8,
"com.rsa.crypto.jcm": 1,
"com.rsa.cryptoj.jcm": 2
},
"java": {
"java.util.concurrent": 1
}
},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 60,
"PRNG": 6
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"SCA": {
"timing attack": 1,
"timing attacks": 2
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 91,
"FIPS 180-4": 1,
"FIPS 186-2": 3,
"FIPS 186-4": 17,
"FIPS 198-1": 2,
"FIPS 202": 2,
"FIPS PUB 140-2": 1,
"FIPS186": 1
},
"NIST": {
"NIST SP 800-132": 1,
"NIST SP 800-56B": 1,
"NIST SP 800-57": 1,
"SP 800-108": 7,
"SP 800-132": 3,
"SP 800-133": 2,
"SP 800-135": 2,
"SP 800-38A": 1,
"SP 800-38B": 1,
"SP 800-38C": 1,
"SP 800-38D": 1,
"SP 800-38E": 1,
"SP 800-38F": 5,
"SP 800-52": 1,
"SP 800-56A": 16,
"SP 800-56B": 6,
"SP 800-56C": 4,
"SP 800-89": 3,
"SP 800-90A": 3
},
"PKCS": {
"PKCS #1": 5,
"PKCS #12": 7,
"PKCS #5": 5
},
"RFC": {
"RFC 2898": 2,
"RFC 5288": 2,
"RFC 7539": 3,
"RFC 7627": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 29
},
"RC": {
"RC2": 5,
"RC4": 4,
"RC5": 6
}
},
"DES": {
"3DES": {
"3DES": 1,
"TDES": 2,
"Triple-DES": 8
},
"DES": {
"DES": 8
}
},
"constructions": {
"MAC": {
"CMAC": 7,
"HMAC": 58
}
},
"djb": {
"ChaCha": {
"ChaCha": 1,
"ChaCha20": 6
},
"Poly": {
"Poly1305": 5
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Microsoft": {
"Microsoft": 6
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC#A3218",
"DSA#A3218",
"CVL#A3218",
"SHA-3#A3218",
"AES#A3218",
"DRBG#A3218",
"KAS-RSA-SSC#A3218",
"KDA#A3218",
"KTS#A3218",
"PBKDF#A3218",
"RSA#A3218",
"SHS#A3218",
"KAS-SSC#A3218",
"ECDSA#A3218",
"KBKDF#A3218"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A3218"
]
},
"policy_metadata": {
"/Author": "Dell Inc.",
"/CreationDate": "D:20100527131853Z",
"/Creator": "FrameMaker 17.0.3",
"/Keywords": "BSAFE, BSAFE Crypto Module for Java, 6.3, fips security policy, level 1, operating environments",
"/ModDate": "D:20240405121723+11\u002700\u0027",
"/Producer": "Adobe PDF Library 17.0",
"/Title": "Dell BSAFE Crypto Module for Java 6.3 Security Policy Level 1",
"/Trapped": "/False",
"pdf_file_size_bytes": 866360,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Br1.pdf",
"http://csrc.nist.gov/index.html",
"http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"https://eprint.iacr.org/2011/388",
"http://csrc.nist.gov/publications/nistpubs/800-132/nist-sp800-132.pdf",
"https://www.dell.com/support",
"https://csrc.nist.gov/publications/nistpubs/800-89/SP-800-89_November2006.pdf",
"https://tools.ietf.org/html/rfc7539"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 44
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "27f099b20785652bde0025f4ea0fa44589b8faedf3bc97ce82f5a2a8b97580d4",
"source_hash": "869f30073ece635f3606ffd6047e1730cb79c0da382e7f7f83e0be48e706366c",
"txt_hash": "720d565b532b1c87790393f4ce69734a198948f7c3060cf0faad2307eb983dfa"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. No assurance of the minimum strength of generated keys.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/April 2024_010524_0757.pdf",
"date_sunset": null,
"description": "Crypto-J software library is designed for developers to incorporate FIPS 140-2 approved cryptography into Java-based products. Crypto-J security software helps protect sensitive data as it is stored, using strong encryption techniques that ease integration with existing data models. Using the capabilities of Crypto-J software in applications helps provide a persistent level of protection for data, lessening the risk of internal, as well as external, compromise.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Design Assurance: Level 3"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "BSAFE\u2122 Java Crypto Module 6.3",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "6.3",
"tested_conf": [
"OpenJDK 11 on SUSE Linux Enterprise Server 15 SP3 (64-bit) running on Dell PowerEdge(TM) R6525 with an AMD EPYC 7513 processor (single-user mode)",
"Oracle(R) JRE 8 on Microsoft(R) Windows(R) Server 2019 (64-bit) running on Dell(TM) PowerEdge(TM) R6525 with an AMD EPYC 7513 processor"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-04-30",
"lab": "Gossamer Security Solutions",
"validation_type": "Initial"
}
],
"vendor": "Dell Australia Pty Limited, BSAFE Product Team",
"vendor_url": "http://www.dell.com"
}
}